# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libattr-devel pkgconfig(gtkmm-2.4) pkgconfig(libgnome-2.0)
# END SourceDeps(oneline)
Name: eiciel
Version: 0.9.8.1
Release: alt1_8
Summary: Graphical editor for ACLs and xattr
Group: File tools
License: GPLv2+
URL: http://rofi.roger-ferrer.org/eiciel
Source0: http://rofi.roger-ferrer.org/eiciel/download/eiciel-%{version}.tar.bz2

# move LDFLAGS before libs, add -Wl,--as-needed
# this only touches Makefile.in for now
Patch1: eiciel-0.9.8.1-LDFLAGS.patch
#
Patch2: eiciel-0.9.8.1-desktop-file.patch
# bz 811460 / committed upstream
Patch3: eiciel-0.9.8.1-no-such-file.patch

BuildRequires: libgnomeui-devel
BuildRequires: libacl-devel
BuildRequires: libnautilus-devel
BuildRequires: libgtkmm3-devel
BuildRequires: desktop-file-utils

%define ext_dir %(eval "pkg-config --variable=extensiondir libnautilus-extension")

# don't "provide" a private shlib
%{echo 


}
Source44: import.info
%add_findprov_skiplist %{ext_dir}/.*\.so$

%description
Graphical editor for access control lists (ACLs) and extended attributes
(xattr), either as an extension within Nautilus, or as a standalone
utility.

%prep
%setup -q
[ $(cksum ChangeLog|cut -d ' ' -f 1,2) != "874165526 318" ] && exit -1
%patch1 -p1 -b .LDFLAGS
%patch2 -p1 -b .desktop-file
%patch3 -p1 -b .no-such-file-crash

iconv -f ISO-8859-1 -t UTF-8 AUTHORS > foo
mv foo AUTHORS

%build
%configure --with-nautilus-extensions-dir=%{ext_dir} \
    --disable-static
make %{?_smp_mflags}

%install
%makeinstall_std
%find_lang %{name}

rm -f %{buildroot}%{ext_dir}/*.la

desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications          \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/applications/*%{name}.desktop
%{_mandir}/man1/%{name}*
%{ext_dir}/lib%{name}*.so

%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.8.1-alt1_8
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.8.1-alt1_7
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.8.1-alt1_6
- fc import

